Package org.apache.cxf.staxutils.validation

# Class WoodstoxValidationImpl

java.lang.Object
org.apache.cxf.staxutils.validation.WoodstoxValidationImpl

public class WoodstoxValidationImpl extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WoodstoxValidationImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canValidate()`
  `void`
  `setupValidation(XMLStreamReader reader, Endpoint endpoint, ServiceInfo serviceInfo)`
  `void`
  `setupValidation(XMLStreamWriter writer, Endpoint endpoint, ServiceInfo serviceInfo)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WoodstoxValidationImpl

    public WoodstoxValidationImpl()

- ## Method Details

  - ### canValidate

    public boolean canValidate()

  - ### setupValidation

    public void setupValidation(XMLStreamReader reader, Endpoint endpoint, ServiceInfo serviceInfo) throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### setupValidation

    public void setupValidation(XMLStreamWriter writer, Endpoint endpoint, ServiceInfo serviceInfo) throws XMLStreamException
    Throws:
      `XMLStreamException`